/**
 * output package name
 */
package com.kingdee.eas.custom.notify.bziEnum;

import java.util.Map;
import java.util.List;
import java.util.Iterator;
import com.kingdee.util.enums.IntEnum;

/**
 * output class name
 */
public class OptTypeEnum extends IntEnum
{
    public static final int REMOVETODO_VALUE = 1;//alias=删除待办操作
    public static final int REMOVEBELONGER_VALUE = 2;//alias=删除指定待办所属人操作

    public static final OptTypeEnum REMOVETODO = new OptTypeEnum("REMOVETODO", REMOVETODO_VALUE);
    public static final OptTypeEnum REMOVEBELONGER = new OptTypeEnum("REMOVEBELONGER", REMOVEBELONGER_VALUE);

    /**
     * construct function
     * @param integer optTypeEnum
     */
    private OptTypeEnum(String name, int optTypeEnum)
    {
        super(name, optTypeEnum);
    }
    
    /**
     * getEnum function
     * @param String arguments
     */
    public static OptTypeEnum getEnum(String optTypeEnum)
    {
        return (OptTypeEnum)getEnum(OptTypeEnum.class, optTypeEnum);
    }

    /**
     * getEnum function
     * @param String arguments
     */
    public static OptTypeEnum getEnum(int optTypeEnum)
    {
        return (OptTypeEnum)getEnum(OptTypeEnum.class, optTypeEnum);
    }

    /**
     * getEnumMap function
     */
    public static Map getEnumMap()
    {
        return getEnumMap(OptTypeEnum.class);
    }

    /**
     * getEnumList function
     */
    public static List getEnumList()
    {
         return getEnumList(OptTypeEnum.class);
    }
    
    /**
     * getIterator function
     */
    public static Iterator iterator()
    {
         return iterator(OptTypeEnum.class);
    }
}